LowLevelMonitorConfigurationAPI.MC_VCP_CODE_TYPE (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: LowLevelMonitorConfigurationAPI, enum: MC_VCP_CODE_TYPE

Package com.sun.jna.platform.win32

# Enum Class LowLevelMonitorConfigurationAPI.MC_VCP_CODE_TYPE

java.lang.Object
java.lang.Enum<LowLevelMonitorConfigurationAPI.MC_VCP_CODE_TYPE>
com.sun.jna.platform.win32.LowLevelMonitorConfigurationAPI.MC_VCP_CODE_TYPE

All Implemented Interfaces:
  `Serializable`, `Comparable<LowLevelMonitorConfigurationAPI.MC_VCP_CODE_TYPE>`, `Constable`

Enclosing interface:
  LowLevelMonitorConfigurationAPI

public static enum LowLevelMonitorConfigurationAPI.MC_VCP_CODE_TYPE extends Enum<LowLevelMonitorConfigurationAPI.MC_VCP_CODE_TYPE>
Describes a Virtual Control Panel (VCP) code type.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `LowLevelMonitorConfigurationAPI.MC_VCP_CODE_TYPE.ByReference`
  Defines a Reference to the enum

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `MC_MOMENTARY`
  Momentary VCP code.
  `MC_SET_PARAMETER`
  Set Parameter VCP code.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static LowLevelMonitorConfigurationAPI.MC_VCP_CODE_TYPE`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static LowLevelMonitorConfigurationAPI.MC_VCP_CODE_TYPE[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### MC_MOMENTARY

    public static final LowLevelMonitorConfigurationAPI.MC_VCP_CODE_TYPE MC_MOMENTARY
    Momentary VCP code. Sending a command of this type causes the monitor to initiate a self-timed operation and then revert to its original state. Examples include display tests and degaussing.

  - ### MC_SET_PARAMETER

    public static final LowLevelMonitorConfigurationAPI.MC_VCP_CODE_TYPE MC_SET_PARAMETER
    Set Parameter VCP code. Sending a command of this type changes some aspect of the monitor's operation.

- ## Method Details

  - ### values

    public static LowLevelMonitorConfigurationAPI.MC_VCP_CODE_TYPE[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static LowLevelMonitorConfigurationAPI.MC_VCP_CODE_TYPE valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null